diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.tokens.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.tokens.inc
index 38a09079..28fa62e4 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.tokens.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.tokens.inc
@@ -2,13 +2,16 @@
 
 /**
  * @file
- * collection of functions related to ldap tokens
+ * Collection of functions related to ldap tokens.
  */
 
 /**
- * @param string $attr_name such 'field_user_lname', 'name', 'mail', 'dn'
- * @param string $attr_type such as 'field', 'property', etc.  NULL for ldap attributes
- * @param string $attr_ordinal 0, 1, 2, etc.  not used in general
+ * @param string $attr_name
+ *   such 'field_user_lname', 'name', 'mail', 'dn'.
+ * @param string $attr_type
+ *   such as 'field', 'property', etc.  NULL for ldap attributes.
+ * @param string $attr_ordinal
+ *   0, 1, 2, etc.  not used in general.
  *
  * @return string such as 'field.field_user_lname', 'samaccountname', etc.
  */
@@ -25,13 +28,15 @@ function ldap_servers_make_token($attr_name, $attr_type = NULL, $ordinal = NULL)
 }
 
 /**
- * @param $user_attr_key of form <attr_type>.<attr_name>[:<instance>]
+ * @param $user_attr_key
+ *   of form <attr_type>.<attr_name>[:<instance>]
  *   such as field.lname, property.mail, field.aliases:2
  *
  * @return array array($attr_type, $attr_name, $attr_ordinal) such as array('field','field_user_lname', NULL)
  */
 function ldap_servers_parse_user_attr_name($user_attr_key) {
-  $user_attr_key = trim($user_attr_key, LDAP_SERVERS_TOKEN_PRE . LDAP_SERVERS_TOKEN_POST); // make sure no [] are on attribute
+  // Make sure no [] are on attribute.
+  $user_attr_key = trim($user_attr_key, LDAP_SERVERS_TOKEN_PRE . LDAP_SERVERS_TOKEN_POST);
   $parts = explode('.', $user_attr_key);
   $attr_type = $parts[0];
   $attr_name = (isset($parts[1])) ? $parts[1] : FALSE;
@@ -44,34 +49,52 @@ function ldap_servers_parse_user_attr_name($user_attr_key) {
       $attr_ordinal = $attr_name_parts[1];
     }
   }
-  return array($attr_type, $attr_name, $attr_ordinal);
+  return [$attr_type, $attr_name, $attr_ordinal];
 }
 
 /**
- * @param array $ldap_entry
- * @param string $text such as "[dn]", "[cn]@my.org", "[displayName] [sn]", "Drupal Provisioned"
- * @return string $text with tokens replaced or NULL if replacement not available
+ * @param array
+ * @param string $text
+ *
+ * @return string
  */
 
-function ldap_servers_token_replace($resource, $text, $resource_type = 'ldap_entry') { // user_account
+/**
+ * User_account.
+ *
+ * @param $resource
+ *   $ldap_entry
+ * @param $text
+ *   such as "[dn]", "[cn]@my.org", "[displayName] [sn]", "Drupal Provisioned"
+ * @param string $resource_type
+ *
+ * @return string|string[]|null
+ *   $text with tokens replaced or NULL if replacement not available
+ */
+function ldap_servers_token_replace($resource, $text, $resource_type = 'ldap_entry') {
 
-  $desired_tokens = ldap_servers_token_tokens_needed_for_template($text);  // desired tokens are of form "cn","mail", etc.
+  // Desired tokens are of form "cn","mail", etc.
+  $desired_tokens = ldap_servers_token_tokens_needed_for_template($text);
 
   if (empty($desired_tokens)) {
-    return $text; // if no tokens exist in text, return text itself.  It is literal value
+    // If no tokens exist in text, return text itself.  It is literal value.
+    return $text;
   }
 
+  $tokens = [];
+
+  // @TODO: Should really be if/else if only those two exist.
   switch ($resource_type) {
     case 'ldap_entry':
-    $tokens = ldap_servers_token_tokenize_entry($resource, $desired_tokens, LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST);
-    break;
+      $tokens = ldap_servers_token_tokenize_entry($resource, $desired_tokens, LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST);
+      break;
 
     case 'user_account':
-    $tokens = ldap_servers_token_tokenize_user_account($resource, $desired_tokens, LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST);
-    break;
+      $tokens = ldap_servers_token_tokenize_user_account($resource, $desired_tokens, LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST);
+      break;
   }
 
-  // add lowercase tokens to avoid case sensitivity
+  // Add lowercase tokens to avoid case sensitivity.
   foreach ($tokens as $attribute => $value) {
     $tokens[drupal_strtolower($attribute)] = $value;
   }
@@ -82,24 +105,30 @@ function ldap_servers_token_replace($resource, $text, $resource_type = 'ldap_ent
     $tokens[drupal_strtolower($text)] = '';
   }
 
-  $attributes = array_keys($tokens); //array of attributes (sn, givenname, etc)
-  $values = array_values($tokens); //array of attribute values (Lincoln, Abe, etc)
+  // Array of attributes (sn, givenname, etc)
+  $attributes = array_keys($tokens);
+  // Array of attribute values (Lincoln, Abe, etc)
+  $values = array_values($tokens);
   $result = str_replace($attributes, $values, $text);
 
-  $result = preg_replace('/\[[^\]]*]/', '', $result);  // strip out any unreplaced tokens
-  return ($result == '') ? NULL : $result; // return NULL if $result is empty, else $result
+  // Strip out any unreplaced tokens.
+  $result = preg_replace('/\[[^\]]*]/', '', $result);
+  // Return NULL if $result is empty, else $result.
+  return ($result == '') ? NULL : $result;
 }
 
 /**
- * @param array $attributes array of attributes passed by reference
- * @param string $text with tokens in it
+ * @param array $attributes
+ *   array of attributes passed by reference.
+ * @param string $text
+ *   with tokens in it
  *
- * by reference return add ldap attribute triplet $attribute_maps[<attr_name>] = (<attr_name>, <ordinal>, <data_type>) to $attributes
+ *   by reference return add ldap attribute triplet $attribute_maps[<attr_name>] = (<attr_name>, <ordinal>, <data_type>) to $attributes.
  */
 function ldap_servers_token_extract_attributes(&$attribute_maps, $text) {
   $tokens = ldap_servers_token_tokens_needed_for_template($text);
   foreach ($tokens as $token) {
-    $token = str_replace(array(LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST), array('', ''), $token);
+    $token = str_replace([LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST], ['', ''], $token);
     $parts = explode(LDAP_SERVERS_TOKEN_DEL, $token);
     $ordinal = (isset($parts[1]) && $parts[1]) ? $parts[1] : 0;
     $attr_name = $parts[0];
@@ -113,19 +142,18 @@ function ldap_servers_token_extract_attributes(&$attribute_maps, $text) {
     else {
       $conversion = NULL;
     }
-    $attribute_maps[$attr_name] = ldap_servers_set_attribute_map(@$attribute_maps[$attr_name], $conversion, array($ordinal => NULL));
+    $attribute_maps[$attr_name] = ldap_servers_set_attribute_map(@$attribute_maps[$attr_name], $conversion, [$ordinal => NULL]);
   }
 }
 
 /**
- * @param string $token or token expression with singular token in it, eg. [dn], [dn;binary], [titles:0;binary] [cn]@mycompany.com
- *
- *
+ * @param string $token
+ *   or token expression with singular token in it, eg. [dn], [dn;binary], [titles:0;binary] [cn]@mycompany.com.
  *
  * @return array(<attr_name>, <ordinal>, <conversion>)
  */
 function ldap_servers_token_extract_parts($token) {
-  $attributes = array();
+  $attributes = [];
   ldap_servers_token_extract_attributes($attributes, $token);
   if (is_array($attributes)) {
     $keys = array_keys($attributes);
@@ -133,73 +161,70 @@ function ldap_servers_token_extract_parts($token) {
     $attr_data = $attributes[$attr_name];
     $ordinals = array_keys($attr_data['values']);
     $ordinal = $ordinals[0];
-    return array($attr_name, $ordinal, $attr_data['conversion']);
+    return [$attr_name, $ordinal, $attr_data['conversion']];
   }
   else {
-    return array(NULL, NULL, NULL);
+    return [NULL, NULL, NULL];
   }
 
 }
 
-
-
 /**
- * Turn an ldap entry into a token array suitable for the t() function
+ * Turn an ldap entry into a token array suitable for the t() function.
+ *
  * @param ldap entry array $ldap_entry
  * @param string prefix token prefix such as !,%,[
  * @param string suffix token suffix such as ]
- * @param $token_keys either an array of key names such as array('cn', 'dn') or string 'all' to return all tokens.
+ * @param $token_keys
+ *   either an array of key names such as array('cn', 'dn') or string 'all' to return all tokens.
+ *
  * @return token array suitable for t() functions of with lowercase keys as exemplified below
-
-
-$ldap_entry should be in form of single entry returned from ldap_search() function:
-
-    'dn' => 'cn=jdoe,ou=campus accounts,ou=toledo campus,dc=ad,dc=myuniversity,dc=edu',
-    'mail' => array( 0 => 'jdoe@myuniversity.edu', 'count' => 1),
-    'sAMAccountName' => array( 0 => 'jdoe', 'count' => 1),
-
-should return tokens such as:
-
-    -- from dn attribute
-    [cn] = jdoe
-    [cn:0] = jdoe
-    [cn:last] => jdoe
-    [cn:reverse:0] = jdoe
-    [ou] = campus accounts
-    [ou:0] = campus accounts
-    [ou:1] = toledo campus
-    [ou:last] = toledo campus
-    [ou:reverse:0] = toledo campus
-    [ou:reverse:1] = campus accounts
-    [dc] = ad
-    [dc:0] = ad
-    [dc:1] = myuniversity
-    [dc:2] = edu
-    [dc:last] = edu
-    [dc:reverse:0] = edu
-    [dc:reverse:1] = myuniversity
-    [dc:reverse:2] = ad
-
-    -- from other attributes
-    [mail] = jdoe@myuniversity.edu
-    [mail:0] = jdoe@myuniversity.edu
-    [mail:last] = jdoe@myuniversity.edu
-    [samaccountname] = jdoe
-    [samaccountname:0] = jdoe
-    [samaccountname:last] = jdoe
-
-    [guid:0;base64_encode] = apply base64_encode() function to value
-    [guid:0;bin2hex] = apply bin2hex() function to value
-    [guid:0;msguid] = apply ldap_servers_msguid() function to value
-    [guid:0;binary] = apply ldap_servers_binary() function to value. this is the most generic binary function
-
+ *
+ *   $ldap_entry should be in form of single entry returned from ldap_search() function:
+ *
+ *   'dn' => 'cn=jdoe,ou=campus accounts,ou=toledo campus,dc=ad,dc=myuniversity,dc=edu',
+ *   'mail' => array( 0 => 'jdoe@myuniversity.edu', 'count' => 1),
+ *   'sAMAccountName' => array( 0 => 'jdoe', 'count' => 1),
+ *   should return tokens such as:
+ *
+ *   -- from dn attribute
+ *   [cn] = jdoe
+ *   [cn:0] = jdoe
+ *   [cn:last] => jdoe
+ *   [cn:reverse:0] = jdoe
+ *   [ou] = campus accounts
+ *   [ou:0] = campus accounts
+ *   [ou:1] = toledo campus
+ *   [ou:last] = toledo campus
+ *   [ou:reverse:0] = toledo campus
+ *   [ou:reverse:1] = campus accounts
+ *   [dc] = ad
+ *   [dc:0] = ad
+ *   [dc:1] = myuniversity
+ *   [dc:2] = edu
+ *   [dc:last] = edu
+ *   [dc:reverse:0] = edu
+ *   [dc:reverse:1] = myuniversity
+ *   [dc:reverse:2] = ad
+ *
+ *   -- from other attributes
+ *   [mail] = jdoe@myuniversity.edu
+ *   [mail:0] = jdoe@myuniversity.edu
+ *   [mail:last] = jdoe@myuniversity.edu
+ *   [samaccountname] = jdoe
+ *   [samaccountname:0] = jdoe
+ *   [samaccountname:last] = jdoe
+ *
+ *   [guid:0;base64_encode] = apply base64_encode() function to value
+ *   [guid:0;bin2hex] = apply bin2hex() function to value
+ *   [guid:0;msguid] = apply ldap_servers_msguid() function to value
+ *   [guid:0;binary] = apply ldap_servers_binary() function to value. this is the most generic binary function
  */
-
 function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pre = LDAP_SERVERS_TOKEN_PRE, $post = LDAP_SERVERS_TOKEN_POST) {
 
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
-  $tokens = array();
-  $watchdog_tokens = array();
+  $tokens = [];
+  $watchdog_tokens = [];
   if (function_exists('debug_backtrace') && $backtrace = debug_backtrace()) {
     $watchdog_tokens['%calling_function'] = $backtrace[1]['function'];
   }
@@ -207,19 +232,21 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
     if ($detailed_watchdog_log) {
       watchdog('ldap_servers', 'skipped tokenization of ldap entry because no ldap entry provided when called from %calling_function.', $watchdog_tokens, WATCHDOG_DEBUG);
     }
-    return $tokens; // empty array
+    // Empty array.
+    return $tokens;
   }
-      
-  // add lowercase keyed entries to ldap array
+
+  // Add lowercase keyed entries to ldap array.
   foreach ($ldap_entry as $key => $values) {
     $ldap_entry[drupal_strtolower($key)] = $values;
   }
 
   // 1. tokenize dn
-  $dn_parts = ldap_explode_dn($ldap_entry['dn'], 0); // escapes attribute values, need to be unescaped later.
+  // escapes attribute values, need to be unescaped later.
+  $dn_parts = ldap_explode_dn($ldap_entry['dn'], 0);
   unset($dn_parts['count']);
-  $parts_count = array();
-  $parts_last_value = array();
+  $parts_count = [];
+  $parts_last_value = [];
   foreach ($dn_parts as $pair) {
     list($attr_name, $attr_value) = explode('=', $pair);
     $attr_value = ldap_pear_unescape_dn_value($attr_value);
@@ -231,13 +258,14 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
         $watchdog_tokens['%attr_name'] = $attr_name;
         watchdog('ldap_servers', 'skipped tokenization of attribute %attr_name because the value would not pass check_plain function.', $watchdog_tokens, WATCHDOG_DEBUG);
       }
-      continue; // don't tokenize data that can't pass check_plain
+      // don't tokenize data that can't pass check_plain.
+      continue;
     }
     if (!isset($parts_count[$attr_name])) {
       $tokens[$pre . ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_TOKEN_REPLACE) . $post] = $attr_value;
       $parts_count[$attr_name] = 0;
     }
-    $tokens[$pre . ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_TOKEN_REPLACE) . LDAP_SERVERS_TOKEN_DEL . (int)$parts_count[$attr_name] . $post] = $attr_value;
+    $tokens[$pre . ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_TOKEN_REPLACE) . LDAP_SERVERS_TOKEN_DEL . (int) $parts_count[$attr_name] . $post] = $attr_value;
 
     $parts_last_value[$attr_name] = $attr_value;
     $parts_count[$attr_name]++;
@@ -256,7 +284,7 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
     $tokens[$pre . ldap_server_massage_text($attr_name, 'attr_name', LDAP_SERVER_MASSAGE_TOKEN_REPLACE) . LDAP_SERVERS_TOKEN_DEL . 'last' . $post] = $parts_last_value[$attr_name];
   }
 
-  // tokenize other attributes
+  // Tokenize other attributes.
   if ($token_keys == 'all') {
     $token_keys = array_keys($ldap_entry);
     $token_keys = array_filter($token_keys, "is_string");
@@ -282,7 +310,7 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
   }
   else {
     foreach ($token_keys as $full_token_key) {
-      // $token_key = 'dn', 'mail', 'mail:0', 'mail:last', 'dept:1', 'guid:0;tobase64etc.
+      // Token key = 'dn', 'mail', 'mail:0', 'mail:last', 'dept:1', 'guid:0' etc.
       $value = NULL;
 
       $conversion = FALSE;
@@ -300,7 +328,8 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
       $ordinal_key = isset($parts[1]) ? $parts[1] : 0;
       $i = NULL;
 
-      if ($attr_name == 'dn' || !isset($ldap_entry[$attr_name])) { // don't use empty() since a 0, "", etc value may be a desired value
+      // don't use empty() since a 0, "", etc value may be a desired value.
+      if ($attr_name == 'dn' || !isset($ldap_entry[$attr_name])) {
         continue;
       }
       else {
@@ -313,7 +342,8 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
           $value = $ldap_entry[$attr_name][$ordinal_key];
         }
         else {
-          continue;  // don't add token if case not covered
+          // don't add token if case not covered.
+          continue;
         }
       }
 
@@ -338,7 +368,6 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
         }
       }
 
-
       $tokens[$pre . $full_token_key . $post] = $value;
       if ($full_token_key != drupal_strtolower($full_token_key)) {
         $tokens[$pre . drupal_strtolower($full_token_key) . $post] = $value;
@@ -346,7 +375,7 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
     }
   }
 
-  // include the dn.  it will not be handled correctly by previous loops
+  // Include the dn.  it will not be handled correctly by previous loops.
   $tokens[$pre . 'dn' . $post] = check_plain($ldap_entry['dn']);
   return $tokens;
 }
@@ -354,29 +383,29 @@ function ldap_servers_token_tokenize_entry($ldap_entry, $token_keys = 'all', $pr
 /**
  *
  * @param drupal user object $user_account
- * @param array or 'all' $token_keys 'all' signifies return
+ * @param array or 'all' $token_keys
+ *   'all' signifies return
  *   all token/value pairs available; otherwise array lists
  *   token keys (e.g. property.name ...NOT [property.name])
- * @param string $pre prefix of token
- * @param string $post suffix of token
+ * @param string $pre
+ *   prefix of token.
+ * @param string $post
+ *   suffix of token.
  *
  *
  * @return should return token/value pairs in array such as
  *   'status' => 1
  *   'uid' => 17
  */
-
 function ldap_servers_token_tokenize_user_account($user_account, $token_keys = 'all', $pre = LDAP_SERVERS_TOKEN_PRE, $post = LDAP_SERVERS_TOKEN_POST) {
 
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
-  $tokens = array();
-
-  $user_entered_password_available = (boolean)ldap_user_ldap_provision_pwd('get');
-  // ldapUserPwd((property_exists($user_account, 'ldapUserPwd') && $user_account->ldapUserPwd));
+  $tokens = [];
 
+  $user_entered_password_available = (boolean) ldap_user_ldap_provision_pwd('get');
   if ($token_keys == 'all') {
-    // add lowercase keyed entries to ldap array
-    foreach ((array)$user_account as $property_name => $value) {
+    // Add lowercase keyed entries to ldap array.
+    foreach ((array) $user_account as $property_name => $value) {
       if (is_scalar($value) && $property_name != 'password') {
         $token_keys[] = 'property.' . $property_name;
         if (drupal_strtolower($property_name) != $property_name) {
@@ -390,11 +419,11 @@ function ldap_servers_token_tokenize_user_account($user_account, $token_keys = '
         }
       }
       else {
-        // field or property with no value, so no token can be generated
+        // Field or property with no value, so no token can be generated.
       }
     }
     $ldap_user_conf_admin = new LdapUserConfAdmin();
-    if ($ldap_user_conf->setsLdapPassword) {
+    if ($ldap_user_conf_admin->setsLdapPassword) {
       $token_keys[] = 'password.random';
       $token_keys[] = 'password.user-random';
     }
@@ -411,11 +440,11 @@ function ldap_servers_token_tokenize_user_account($user_account, $token_keys = '
     switch ($attr_type) {
       case 'field':
         $value = @is_scalar($user_account->{$attr_name}[LANGUAGE_NONE][0]['value']) ? $user_account->{$attr_name}[LANGUAGE_NONE][0]['value'] : '';
-      break;
+        break;
 
       case 'property':
         $value = @is_scalar($user_account->{$attr_name}) ? $user_account->{$attr_name} : '';
-      break;
+        break;
 
       case 'password':
 
@@ -440,7 +469,7 @@ function ldap_servers_token_tokenize_user_account($user_account, $token_keys = '
         if (empty($value)) {
           $skip = TRUE;
         }
-      break;
+        break;
     }
 
     if (!$skip) {
@@ -451,7 +480,7 @@ function ldap_servers_token_tokenize_user_account($user_account, $token_keys = '
           break;
 
         case 'to-md5':
-          $value = "{MD5}" . base64_encode( pack( "H*", md5( $value ) ) );
+          $value = "{MD5}" . base64_encode(pack("H*", md5($value)));
           break;
 
         case 'to-lowercase':
@@ -469,7 +498,8 @@ function ldap_servers_token_tokenize_user_account($user_account, $token_keys = '
 }
 
 /**
- * @param string $template in form [cn]@myuniversity.edu
+ * @param string $template
+ *   in form [cn]@myuniversity.edu.
  * @return array of all tokens in the template such as array('cn')
  */
 function ldap_servers_token_tokens_needed_for_template($template, $pre = LDAP_SERVERS_TOKEN_PRE, $post = LDAP_SERVERS_TOKEN_POST) {
@@ -483,11 +513,14 @@ function ldap_servers_token_tokens_needed_for_template($template, $pre = LDAP_SE
 
 }
 
+/**
+ *
+ */
 function ldap_servers_token_show_sample_user_tokens($sid) {
 
   $ldap_server = ldap_servers_get_servers($sid, 'all', TRUE);
   $test_username = $ldap_server->testingDrupalUsername;
-  if (!$test_username || ! (
+  if (!$test_username || !(
     $ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT ||
     $ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON
       )
@@ -496,11 +529,11 @@ function ldap_servers_token_show_sample_user_tokens($sid) {
   }
 
   if ($ldap_user = $ldap_server->userUserNameToExistingLdapEntry($test_username)) {
-    $table = theme('ldap_server_ldap_entry_table', array(
+    $table = theme('ldap_server_ldap_entry_table', [
       'entry' => $ldap_user['attr'],
       'username' => $test_username,
       'dn' => $ldap_user['dn'],
-      ));
+    ]);
   }
   else {
     $table = '<p>' . t('No sample user data found') . '</p>';
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.user_data_remove.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.user_data_remove.inc
index b30c172c..dae418fb 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.user_data_remove.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.user_data_remove.inc
@@ -1,60 +1,66 @@
 <?php
 
 /**
-* @file
-* collection of functions related to removing user data
-*/
+ * @file
+ * Collection of functions related to removing user data.
+ */
 
+/**
+ *
+ */
 function ldap_severs_user_data_setup_batch($consumer_type = NULL) {
 
   $max_uid = db_query("SELECT max(uid) FROM {users}")->fetchField();
   $step = 100;
-  $operations = array();
+  $operations = [];
   for ($uid = 2; $uid <= $max_uid; $uid += $step) {
-    $operations[] = array("ldap_servers_empty_user_data", array($uid, $step, $consumer_type));
+    $operations[] = ["ldap_servers_empty_user_data", [$uid, $step, $consumer_type]];
   }
-   
-  //put all that information into our batch array
-  return array(
+
+  // Put all that information into our batch array.
+  return [
     'operations' => $operations,
-    'title' => t('Empty LDAP Authorization Data in user->data[ldap_authorizations][%consumer_id]', array('%consumer_id' => $consumer_type)),
+    'title' => t('Empty LDAP Authorization Data in user->data[ldap_authorizations][%consumer_id]', ['%consumer_id' => $consumer_type]),
     'init_message' => t('Initializing'),
     'error_message' => t('An error occurred'),
-    'finished' => t('Finished.')
-  );
-  
-}
+    'finished' => t('Finished.'),
+  ];
 
+}
 
 /**
- * function to remove $user->data['ldap_authorizations'] on uninstall
- * which is called from ldap_authorization uninstall batches
- *
+ * Function to remove $user->data['ldap_authorizations'] on uninstall
+ * which is called from ldap_authorization uninstall batches.
  */
-function ldap_servers_empty_user_data($start, $step, $consumer_type, &$context) { 
-  
+function ldap_servers_empty_user_data($start, $step, $consumer_type, &$context) {
+
   $query = new EntityFieldQuery();
   $query->entityCondition('entity_type', 'user')
-    ->entityCondition('entity_id', array($start, $start + $step - 1), 'BETWEEN');
+    ->entityCondition('entity_id', [$start, $start + $step - 1], 'BETWEEN');
   $results = $query->execute();
 
   if (isset($results['user'])) {
     foreach ($results['user'] as $uid => $entity_data) {
       if ($uid > 1 && $account = user_load($uid, TRUE)) {
-        if ($consumer_type == NULL && isset($account->data['ldap_authorizations'])) { // remove all authorization data
+        // Remove all authorization data.
+        if ($consumer_type == NULL && isset($account->data['ldap_authorizations'])) {
           $names[] = $account->name;
           unset($account->data['ldap_authorizations']);
-          $updated_account = user_save($account, array('data' => $account->data));
+          $updated_account = user_save($account, ['data' => $account->data]);
         }
-        elseif ($consumer_type != NULL && isset($account->data['ldap_authorizations'][$consumer_type])) { // remove only a particular consumers authorization data
+        // Remove only a particular consumers authorization data.
+        elseif ($consumer_type != NULL && isset($account->data['ldap_authorizations'][$consumer_type])) {
           unset($account->data['ldap_authorizations'][$consumer_type]);
-          $updated_account = user_save($account, array('data' => $account->data));
+          $updated_account = user_save($account, ['data' => $account->data]);
         }
       }
     }
   }
 }
 
+/**
+ *
+ */
 function ldap_authorization_generate_users() {
   $response = "";
   for ($i = 1; $i < 1000; $i++) {
@@ -65,13 +71,13 @@ function ldap_authorization_generate_users() {
     $account = new stdClass();
     $account->is_new = TRUE;
     $account->name = "user" . $i;
-    $user_edit = array(
-      'data' => array('ldap_authorizations' => array('og_group' => 7, 'drupal_role' => 8))
-    );
-    
+    $user_edit = [
+      'data' => ['ldap_authorizations' => ['og_group' => 7, 'drupal_role' => 8]],
+    ];
+
     $user_response = user_save($account, $user_edit);
     $response .= $user_response->name . "<br/>";
   }
   return $response;
-  
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeAbstract.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeAbstract.class.php
index 767c7a9d..7c69cfa3 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeAbstract.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeAbstract.class.php
@@ -2,18 +2,22 @@
 
 /**
  * @file
- * abstract class to represent an ldap implementation type
+ * Abstract class to represent an ldap implementation type
  * such as active directory, open ldap, novell, etc.
- *
  */
 
+/**
+ *
+ */
 abstract class LdapTypeAbstract {
 
   public $name;
   public $typeId;
   public $description;
 
-  // ldap_servers configuration
+  /**
+   * Ldap_servers configuration.
+   */
   public $port = 389;
   public $tls = 0;
   public $encrypted = 0;
@@ -22,18 +26,22 @@ abstract class LdapTypeAbstract {
   public $groupObjectClassDefault = NULL;
   public $groupDerivationModelDefault = NULL;
 
-  // ldap_authorization configuration
+  /**
+   * Ldap_authorization configuration.
+   */
   public $deriveFromDn = FALSE;
   public $deriveFromAttr = FALSE;
   public $deriveFromEntry = FALSE;
   public $groupMembershipsAttr = NULL;
-  public $groupMembershipsAttrMatchingUserAttr = FALSE; // can be removed in 2.0 branch
+  /**
+   * Can be removed in 2.0 branch.
+   */
+  public $groupMembershipsAttrMatchingUserAttr = FALSE;
 
- /**
-   * Constructor Method
-   *
+  /**
+   * Constructor Method.
    */
-  function __construct($params = array()) {
+  public function __construct($params = []) {
     foreach ($params as $k => $v) {
       if (property_exists($this, $k)) {
         $this->{$k} = $v;
@@ -41,7 +49,4 @@ abstract class LdapTypeAbstract {
     }
   }
 
-
-
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeActiveDirectory.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeActiveDirectory.class.php
index e7c5d07c..93d097ef 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeActiveDirectory.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeActiveDirectory.class.php
@@ -2,36 +2,42 @@
 
 /**
  * @file
- * Active Directory LDAP Implementation Details
- *
- * see http://msdn.microsoft.com/en-us/library/windows/desktop/ms675085(v=vs.85).aspx
+ * Active Directory LDAP Implementation Details.
  *
+ * See http://msdn.microsoft.com/en-us/library/windows/desktop/ms675085(v=vs.85).aspx.
  */
 
 module_load_include('php', 'ldap_servers', 'ldap_types/LdapTypeAbstract.class');
-
+/**
+ *
+ */
 class LdapTypeActiveDirectory extends LdapTypeAbstract {
 
-  // generic properties
+  /**
+   * Generic properties.
+   */
   public $name = 'Active Directory LDAP';
   public $typeId = 'ActiveDirectory';
   public $description = 'Microsoft Active Directory';
 
-  // ldap_servers configuration
+  /**
+   * Ldap_servers configuration.
+   */
   public $port = 389;
   public $tls = 1;
   public $encrypted = 0;
   public $user_attr = 'sAMAccountName';
   public $mail_attr = 'mail';
 
-  /** the following pairs all work in Active Directory,
+  /**
+   * The following pairs all work in Active Directory,
    * but there is no assurance that any of them will survive
    * domain merges and migrations.  Its best to pick a true user id
-   * such as a numeric one given to the user by the organization
+   * such as a numeric one given to the user by the organization.
    *
-   * uidNumber  - not binary
+   * UidNumber  - not binary
    * objectSid  - binary
-   * objectGuid - binary
+   * objectGuid - binary.
    */
 
   public $unique_persistent_attr = 'uidNumber';
@@ -41,11 +47,11 @@ class LdapTypeActiveDirectory extends LdapTypeAbstract {
 
   public $groupObjectClassDefault = 'group';
 
-  // ldap_authorization configuration
+  /**
+   * Ldap_authorization configuration.
+   */
   public $groupDerivationModelDefault = LDAP_SERVERS_DERIVE_GROUP_FROM_ATTRIBUTE;
   public $deriveFromAttr = TRUE;
   public $groupUserMembershipsAttr = 'memberOf';
 
-
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeDefault.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeDefault.class.php
index 8c118de8..20cd1420 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeDefault.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeDefault.class.php
@@ -2,12 +2,13 @@
 
 /**
  * @file
- * Generic LDAP Implementation Details
- *
+ * Generic LDAP Implementation Details.
  */
 
 module_load_include('php', 'ldap_servers', 'ldap_types/LdapTypeAbstract.class');
-
+/**
+ *
+ */
 class LdapTypeDefault extends LdapTypeAbstract {
 
   public $name = 'Default LDAP';
@@ -20,11 +21,10 @@ class LdapTypeDefault extends LdapTypeAbstract {
   public $mail_attr = 'mail';
   public $supportsNestGroups = FALSE;
 
- /**
-   * Constructor Method
-   *
+  /**
+   * Constructor Method.
    */
-  function __construct($params = array()) {
+  public function __construct($params = []) {
     foreach ($params as $k => $v) {
       if (property_exists($this, $k)) {
         $this->{$k} = $v;
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeNovell.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeNovell.class.php
index 899780cc..6baf7e56 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeNovell.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_types/LdapTypeNovell.class.php
@@ -2,12 +2,13 @@
 
 /**
  * @file
- * Active Directory LDAP Implementation Details
- *
+ * Active Directory LDAP Implementation Details.
  */
 
 ldap_servers_module_load_include('php', 'ldap_servers', 'ldap_types/LdapTypeAbstract.class');
-
+/**
+ *
+ */
 class LdapTypeNovell extends LdapTypeAbstract {
 
   public $documentation = 'http://www.novell.com/documentation/edir873/index.html?page=/documentation/edir873/edir873/data/h0000007.html';
